#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;
    int a[n];
    for(int i = 0; i < n; ++i) cin >> a[i];
    int k;
    cin >> k;
    int l, r;
    for(int br = 0; br < k; ++br)
    {
        cin >> l >> r;
        --l; --r;
        bool izbrisano = false;
        bool netacan = false;
        bool prvi = false;
        for(int i = l; i < r; ++i)
        {
            if(a[i] > a[i + 1])
            {
                if(i + 1 <= r && i - 1 >= l && a[i - 1] > a[i + 1] || prvi)
                {
                    cout << "NE" << endl;
                    netacan = true;
                    break;
                }
                prvi = true;
            }
        }
        if(!netacan) cout << "DA" << endl;
    }
    return 0;
}
/*
10
2 3 1 2 4 5 1 7 8 1
1
*/